reportRoot: getSkypeForBusinessActivityUserDetail

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

获取用户执行的 Skype for Business 活动的详细信息。

注意: 若要详细了解不同的报表视图和名称,请参阅 Microsoft 365 报表 - Skype for Business 活动

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Reports.Read.All
委派(个人 Microsoft 帐户) 不支持。
应用 Reports.Read.All

注意:若要获得委派权限以允许应用代表用户读取服务使用情况报告,租户管理员必须事先为用户分配适当的 Azure AD 受限管理员角色。有关更多详细信息,请参阅 API 授权,读取 Microsoft 365使用情况报告

HTTP 请求

GET /reports/getSkypeForBusinessActivityUserDetail(period='{period_value}')
GET /reports/getSkypeForBusinessActivityUserDetail(date={date_value})

函数参数

在请求 URL 中,提供以下任一参数的有效值。

参数 类型 说明
period string 指定在多长时间内聚合报表。 受支持的 {period_value} 值为:D7、D30、D90 和 D180。 这些值采用格式 D n,其中 n 表示在多少天内聚合报表。
date Date 指定要查看用户在哪个日期执行的任何活动。 {date_value} 必须采用格式 YYYY-MM-DD。 因为此报表的有效期仅为过去 30 天,所以 {date_value} 应为这个范围内的日期。

注意: 需要在 URL 中设置 period 或 date。

此方法支持使用 $format$top$skipToken OData 查询参数自定义响应。 默认输出类型为 text/csv。 但是,如果要指定输出类型,可以使用 OData 查询参数$format text/csv 或 application/json。

请求标头

名称 说明
Authorization Bearer {token}。必需。

响应

CSV

如果成功,此方法返回 302 Found 响应,以重定向到报表的预先验证的下载 URL。 可以在响应的 Location 头中找到此 URL。

预先验证的下载 URL 的有效时间很短(几分钟),不需要 Authorization 头。

CSV 文件包含下面的列标题。

  • 报表刷新日期
  • 用户主体名称
  • 已删除
  • 删除日期
  • 上次活动日期
  • 对等会话总数
  • 组织会议总数
  • 参与会议总数
  • 对等会话的上次活动日期
  • 组织会议的上次活动日期
  • 参与会议的上次活动日期
  • 对等 IM 次数
  • 对等音频次数
  • 对等音频分钟数
  • 对等视频次数
  • 对等视频分钟数
  • 对等应用共享次数
  • 对等文件传输次数
  • 组织会议 - IM 次数
  • 组织会议 - 音频/视频次数
  • 组织会议 - 音频/视频分钟数
  • 组织会议 - 应用共享次数
  • 组织会议 - Web 次数
  • 组织会议 - 第三方拨入/拨出次数
  • 组织会议 - Microsoft 拨入/拨出次数
  • 组织会议 - Microsoft 拨入分钟数
  • 组织会议 - Microsoft 拨出分钟数
  • 参与会议 IM 计数
  • 参与会议 - 音频/视频次数
  • 参与会议 - 音频/视频分钟数
  • 参与会议 - 应用共享次数
  • 参与会议 - Web 次数
  • 参与会议 - 第三方拨入/拨出次数
  • 分配的产品
  • 报表周期

JSON

如果成功,此方法在响应 200 OK 正文中返回 响应代码和 JSON 对象。

此请求的默认页面大小为 200 个项目。

示例

CSV

下面是输出 CSV 的示例。

请求

下面展示了示例请求。

GET https://graph.microsoft.com/beta/reports/getSkypeForBusinessActivityUserDetail(period='D7')?$format=text/csv

响应

下面展示了示例响应。

HTTP/1.1 302 Found
Content-Type: text/plain
Location: https://reports.office.com/data/download/JDFKdf2_eJXKS034dbc7e0t__XDe

执行 302 重定向,下载的 CSV 文件将采用以下架构。

HTTP/1.1 200 OK
Content-Type: application/octet-stream

Report Refresh Date,User Principal Name,Is Deleted,Deleted Date,Last Activity Date,Total Peer-to-peer Session Count,Total Organized Conference Count,Total Participated Conference Count,Peer-to-peer Last Activity Date,Organized Conference Last Activity Date,Participated Conference Last Activity Date,Peer-to-peer IM Count,Peer-to-peer Audio Count,Peer-to-peer Audio Minutes,Peer-to-peer Video Count,Peer-to-peer Video Minutes,Peer-to-peer App Sharing Count,Peer-to-peer File Transfer Count,Organized Conference IM Count,Organized Conference Audio/Video Count,Organized Conference Audio/Video Minutes,Organized Conference App Sharing Count,Organized Conference Web Count,Organized Conference Dial-in/out 3rd Party Count,Organized Conference Dial-in/out Microsoft Count,Organized Conference Dial-in Microsoft Minutes,Organized Conference Dial-out Microsoft Minutes,Participated Conference IM Count,Participated Conference Audio/Video Count,Participated Conference Audio/Video Minutes,Participated Conference App Sharing Count,Participated Conference Web Count,Participated Conference Dial-in/out 3rd Party Count,Assigned Products,Report Period

JSON

下面是返回 JSON 的示例。

请求

下面展示了示例请求。

GET https://graph.microsoft.com/beta/reports/getSkypeForBusinessActivityUserDetail(period='D7')?$format=application/json

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1419

{
  "value": [
    {
      "totalPeerToPeerSessionCount": 12, 
      "totalOrganizedConferenceCount": 0, 
      "totalParticipatedConferenceCount": 1, 
      "peerToPeerLastActivityDate": "2017-09-01", 
      "organizedConferenceLastActivityDate": null, 
      "participatedConferenceLastActivityDate": "2017-08-31", 
      "peerToPeerIMCount": 12, 
      "peerToPeerAudioCount": 0, 
      "peerToPeerAudioMinutes": 0, 
      "peerToPeerVideoCount": 0, 
      "peerToPeerVideoMinutes": 0, 
      "peerToPeerAppSharingCount": 0, 
      "peerToPeerFileTransferCount": 0, 
      "organizedConferenceIMCount": 0, 
      "organizedConferenceAudioVideoCount": 0, 
      "organizedConferenceAudioVideoMinutes": 0, 
      "organizedConferenceAppSharingCount": 0, 
      "organizedConferenceWebCount": 0, 
      "organizedConferenceDialInOut3rdPartyCount": 0, 
      "organizedConferenceCloudDialInOutMicrosoftCount": 0, 
      "organizedConferenceCloudDialInMicrosoftMinutes": 0, 
      "organizedConferenceCloudDialOutMicrosoftMinutes": 0, 
      "participatedConferenceIMCount": 0, 
      "participatedConferenceAudioVideoCount": 1, 
      "participatedConferenceAudioVideoMinutes": 69, 
      "participatedConferenceAppSharingCount": 0, 
      "participatedConferenceWebCount": 0, 
      "participatedConferenceDialInOut3rdPartyCount": 0, 
      "reportRefreshDate": "2017-09-06", 
      "userPrincipalName": "userPrincipalName-value", 
      "isDeleted": false, 
      "deletedDate": null, 
      "lastActivityDate": "2017-09-01", 
      "assignedProducts": [
        "Microsoft 365 ENTERPRISE E5", 
      ], 
      "reportPeriod": "7"
    }
  ]
}